FileControllerGetFileById Method |
GET /File/{id}
Gets the file or folder.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpGetAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage GetFileById(
Guid id,
GetEntryOptions options,
Nullable<Guid> sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("Index")>
Public Function GetFileById (
id As Guid,
options As GetEntryOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpGetAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ GetFileById(
Guid id,
GetEntryOptions options,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("Index")>]
member GetFileById :
id : Guid *
options : GetEntryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the file. - options
- Type: Dundas.BI.FileSystemGetEntryOptions
The options. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the session.
Return Value
Type:
HttpResponseMessageFileData object containing requested information or a status code indicating the reason for a failure.
See Also